---
sidebar_label: ActionOptions
---

# ActionOptions interface

#### Signature:

```typescript
export interface ActionOptions
```

## Properties

| Property   | Modifiers             | Type                                                  | Description | Default |
| ---------- | --------------------- | ----------------------------------------------------- | ----------- | ------- |
| conditions |                       | [ActionCondition](./puppeteer.actioncondition.md)\[\] |             |         |
| signal     | <code>optional</code> | AbortSignal                                           |             |         |
